Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class CategoryPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.CategoryPK

public class CategoryPK
extends java.lang.Object
implements java.io.Serializable

The category ejb primary key.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `name` The category name.
`int` | `order` The category order.
`java.lang.String` | `portalName` The portal name.

Constructor Summary
`CategoryPK()` Default constructor.
`CategoryPK(java.lang.String aPortalName, java.lang.String aName, int anOrder)` Category primary key constructor.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getName()` Get name.
`int` | `getOrder()` Get order.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setName(java.lang.String aName)` Set name.
`void` | `setOrder(int anOrder)` Set order.
`void` | `setPortalName(java.lang.String aPortalName)` Set portal name.
`java.lang.String` | `toString()` String representation of the Id.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The category name.

### portalName

    public java.lang.String portalName

  The portal name.

### order

    public int order

  The category order.

Constructor Detail

### CategoryPK

    public CategoryPK()

  Default constructor.

### CategoryPK

    public CategoryPK(java.lang.String aPortalName,
                      java.lang.String aName,
                      int anOrder)

  Category primary key constructor.
  Parameters:
    `aPortalName` - the portal name.
    `aName` - the name of the category.
    `anOrder` - the order of the category.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  String representation of the Id.
  Overrides:
    toString in class java.lang.Object
  Returns:
    String the portal name.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Set portal name.
  Parameters:
    `aPortalName` - the portal name.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal name.

### setName

    public void setName(java.lang.String aName)

  Set name.
  Parameters:
    `aName` - the category name.

### getName

    public java.lang.String getName()

  Get name.
  Returns:
    `String` the category name.

### setOrder

    public void setOrder(int anOrder)

  Set order.
  Parameters:
    `anOrder` - the order of the category (basically a page number.)

### getOrder

    public int getOrder()

  Get order.
  Returns:
    `int`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved